# $Revision: 1.29 $, $Date: 2012/01/31 11:52:40 $
#
# Conditional build:
%bcond_with	apm		# build apm package
%bcond_without	acpi	# build acpi package

# TODO:
# - subpackage with files for pbbuttonsd and pmud
# - fix *.conf manuals (should be .5 and referenced as such)
# - /etc/apm not owned, should it be /etc/pm?

%ifnarch %{ix86} %{x8664} ia64
%undefine		with_acpi
%endif
%ifnarch %{ix86} arm mips ppc sh
%undefine		with_apm
%endif
Summary:	Laptop Mode Tools
Summary(pl.UTF-8):	Narzędzia do trybu laptopowego
Name:		laptop-mode-tools
Version:	1.58
Release:	2
License:	GPL
Group:		Applications/System
Source0:	http://samwel.tk/laptop_mode/tools/downloads/%{name}_%{version}.tar.gz
# Source0-md5:	c7a234ada284eaaece0e04bd260e87af
Source1:	%{name}.init
Source2:	%{name}.tmpfiles
Patch0:		%{name}-kver.patch
URL:		http://www.samwel.tk/laptop_mode/
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
%if %{with apm} && %{with acpi}
Requires:	%{name}-scripts = %{version}-%{release}
%else
%{?with_acpi:Requires:	acpid}
%{?with_apm:Requires:	apmd}
Obsoletes:	laptop-mode-tools-scripts
%endif
Suggests:	hdparm
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Laptop mode (also known as laptopmode, laptop-mode and laptop_mode,
for search engine purposes :) ) is a kernel "mode" that allows you to
extend the battery life of your laptop. It does this by intelligently
grouping write activity on your disks, so that only reads of uncached
data result in a disk spinup. It causes a significant improvement in
battery life (for usage patterns that allow it).

%description -l pl.UTF-8
Tryb laptopowy (laptop mode) to "tryb" pracy jądra umożliwiający
wydłużenie czasu życia baterii laptopa. Czyni to inteligentnie
grupując zapisy na dyski w ten sposób, że tylko odczyt
niezbuforowanych danych powoduje rozpędzenie dysku. Powoduje znaczącą
poprawę czasu życia baterii.

%package acpi
Summary:	ACPI scripts for laptop mode tools
Summary(pl.UTF-8):	Skrypty ACPI dla narzędzi do trybu laptopowego
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}
Requires:	acpid
Provides:	%{name}-scripts = %{version}-%{release}

%description acpi
ACPI scripts for laptop mode tools.

%description acpi -l pl.UTF-8
Skrypty ACPI dla narzędzi do trybu laptopowego.

%package apm
Summary:	APM scripts for laptop mode tools
Summary(pl.UTF-8):	Skrypty APM dla narzędzi do trybu laptopowego
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}
Requires:	apmd
Provides:	%{name}-scripts = %{version}-%{release}

%description apm
APM scripts for laptop mode tools.

%description apm -l pl.UTF-8
Skrypty APM dla narzędzi do trybu laptopowego.

%prep
%setup -q -n %{name}_%{version}
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{sysconfig,rc.d/init.d} \
	$RPM_BUILD_ROOT{%{_mandir}/man8,%{_datadir}/%{name}/modules,%{_sbindir}} \
	$RPM_BUILD_ROOT%{_sysconfdir}/laptop-mode/{{batt,lm-ac,nolm-ac}-{start,stop},conf.d} \
	$RPM_BUILD_ROOT%{_varrun}/%{name} \
	$RPM_BUILD_ROOT/usr/lib/tmpfiles.d

install -p %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/laptop-mode
cp -a etc/laptop-mode/*.conf $RPM_BUILD_ROOT%{_sysconfdir}/laptop-mode
cp -a etc/laptop-mode/conf.d/*.conf $RPM_BUILD_ROOT%{_sysconfdir}/laptop-mode/conf.d
install usr/share/laptop-mode-tools/modules/* $RPM_BUILD_ROOT%{_datadir}/%{name}/modules
install -p usr/sbin/{laptop_mode,lm-syslog-setup,lm-profiler} $RPM_BUILD_ROOT%{_sbindir}
cp -a man/*.8 $RPM_BUILD_ROOT%{_mandir}/man8

install %{SOURCE2} $RPM_BUILD_ROOT/usr/lib/tmpfiles.d/%{name}.conf

%if %{with acpi}
install -d $RPM_BUILD_ROOT/etc/acpi/{actions,events}
install -p etc/acpi/actions/* $RPM_BUILD_ROOT/etc/acpi/actions
install -p etc/acpi/events/* $RPM_BUILD_ROOT/etc/acpi/events
%endif

%if %{with apm}
install -d $RPM_BUILD_ROOT/etc/apm/event.d
install -p etc/apm/event.d/* $RPM_BUILD_ROOT/etc/apm/event.d
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add laptop-mode
%service laptop-mode restart

%preun
if [ "$1" = "0" ]; then
	%service laptop-mode stop
	/sbin/chkconfig --del laptop-mode
fi

%files
%defattr(644,root,root,755)
%doc README Documentation/*
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/laptop-mode/*.conf
%dir %{_sysconfdir}/laptop-mode
%dir %{_sysconfdir}/laptop-mode/batt-start
%dir %{_sysconfdir}/laptop-mode/batt-stop
%dir %{_sysconfdir}/laptop-mode/conf.d
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/laptop-mode/conf.d/*.conf
%dir %{_sysconfdir}/laptop-mode/lm-ac-start
%dir %{_sysconfdir}/laptop-mode/lm-ac-stop
%dir %{_sysconfdir}/laptop-mode/nolm-ac-start
%dir %{_sysconfdir}/laptop-mode/nolm-ac-stop
%attr(754,root,root) /etc/rc.d/init.d/laptop-mode
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/modules
%dir %{_varrun}/%{name}
/usr/lib/tmpfiles.d/%{name}.conf
%attr(755,root,root) %{_datadir}/%{name}/modules/*
%attr(755,root,root) %{_sbindir}/laptop_mode
%attr(755,root,root) %{_sbindir}/lm-profiler
%attr(755,root,root) %{_sbindir}/lm-syslog-setup
%{_mandir}/man8/laptop_mode.8*
%{_mandir}/man8/lm-profiler.8*
%{_mandir}/man8/lm-syslog-setup.8*
# should be man5
%{_mandir}/man8/laptop-mode.conf.8*
%{_mandir}/man8/lm-profiler.conf.8*

%if %{with acpi}
# skip subpackage if only one backend built
%{?with_apm:%files acpi}
%defattr(644,root,root,755)
%attr(755,root,root) %{_sysconfdir}/acpi/actions/lm_*.sh
%{_sysconfdir}/acpi/events/lm_*
%endif

%if %{with apm}
# skip subpackage if only one backend built
%{?with_acpi:%files apm}
%defattr(644,root,root,755)
# XXX: dir not owned
%attr(755,root,root) %{_sysconfdir}/apm/event.d/laptop-mode
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: laptop-mode-tools.spec,v $
Revision 1.29  2012/01/31 11:52:40  baggins
- release 2

Revision 1.28  2012/01/31 11:31:36  baggins
- added tmpfiles config for systemd

Revision 1.27  2011/07/31 09:26:22  atler
- up to 1.58

Revision 1.26  2011/06/26 10:31:12  arekm
- rel 2; treat kver 3.x just like 2.6

Revision 1.25  2011/03/03 19:03:52  atler
- up to 1.57

Revision 1.24  2010/10/13 09:54:57  atler
- up to 1.55

Revision 1.23  2010/03/22 19:50:19  glen
- no epoch defined, don't use
- do not build single subpackage if only one backend chosen
- rel 2

Revision 1.22  2010/01/09 13:58:03  arekm
- rel 1.53; disable apm subpackage (we use acpi in th)

Revision 1.21  2009/06/05 06:19:15  amateja
- updated to 1.49

Revision 1.20  2008/06/22 15:54:03  rotom
- up to 1.43

Revision 1.19  2008/06/12 08:39:16  paszczus
- updated to 1.42
- updated laptop-mode-tools.init
- added Suggests: hdparm
- changes made by Paweł Żuk <redstorm14 at gmail dot com>, thanks

Revision 1.18  2008-01-20 13:51:12  qboosh
- ifarch for -scripts dep

Revision 1.17  2008-01-20 13:48:19  qboosh
- proper ifarchs for -acpi/-apm
- fixed acpi config perms; nothing secret in acpi and apm files

Revision 1.16  2008-01-08 23:07:01  glen
- apmd not available on all arches; rel 3

Revision 1.15  2007-06-12 07:29:20  arekm
- rel 2; can't be noarch since _libdir used

Revision 1.14  2007/06/08 20:58:25  megabajt
- updated to 1.34
- added TODO

Revision 1.13  2007/02/13 06:46:50  glen
- tabs in preamble

Revision 1.12  2007/02/12 00:49:01  baggins
- converted to UTF-8

Revision 1.11  2007/01/25 19:41:55  arekm
- up to 1.32

Revision 1.10  2006/11/04 09:41:07  mmazur
- updated url

Revision 1.9  2006/05/21 17:21:12  glen
- rel 2

Revision 1.8  2006/03/02 23:01:11  glen
- use %service and adapterize

Revision 1.7  2006/01/29 15:33:08  jareq
- updated to 1.22

Revision 1.6  2005/05/21 18:27:07  qboosh
- sorted verify() flags

Revision 1.5  2005/05/21 17:55:44  blues
- release 1 - seems to work

Revision 1.4  2005/05/16 17:02:40  zbyniu
- up to 1.05

Revision 1.3  2005/02/04 08:37:47  qboosh
- fixed md5

Revision 1.2  2005/02/03 22:06:48  qboosh
- pl, cleanup

Revision 1.1  2005/02/01 19:42:22  arekm
- initial pld release
